ur_rna.RNAstructureUI.menus

## Class MenuList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<MergeMenu>
      - - ur_rna.RNAstructureUI.menus.MenuList

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<MergeMenu>, java.util.Collection<MergeMenu>, java.util.List<MergeMenu>, java.util.RandomAccess, IMenuItem

      public class MenuList
      extends java.util.ArrayList<MergeMenu>
      implements IMenuItem

  A list of MainMenu items that should be incorporated into the application MenuBar when a Window receives focus.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `subItemMergePos`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int index, MergeMenu element)`
    `void` | `add(MergeMenu... menus)`
    `boolean` | `add(MergeMenu menu)`
    `void` | `add(MergeMenu m, int mergePos)`
    `void` | `enableMenus()`
    `java.awt.Component` | `getComponent()`
    `java.util.List<MergeMenu>` | `getMenuItems()`
    `java.util.List<MergeMenu>` | `getMenus()`
    `boolean` | `hasSubItems()`
    `void` | `setSubItemMergePos(int pos)`
    `void` | `unsetSubItemMergePos()`

    - ### Methods inherited from class java.util.ArrayList

      `addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ur_rna.Utilities.swing.IMenuItem

      `findByAction, findByName, findByTreePath, from, getContainer, getItemName, getMenuItem`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Field Detail

    - #### subItemMergePos

          int subItemMergePos

  - ### Constructor Detail

    - #### MenuList

          public MenuList()

  - ### Method Detail

    - #### add

          public void add(int index,
                          MergeMenu element)

      Specified by:
        `add` in interface `java.util.List<MergeMenu>`
      Overrides:
        `add` in class `java.util.ArrayList<MergeMenu>`

    - #### add

          public void add(MergeMenu... menus)

    - #### add

          public boolean add(MergeMenu menu)

      Specified by:
        `add` in interface `java.util.Collection<MergeMenu>`
      Specified by:
        `add` in interface `java.util.List<MergeMenu>`
      Overrides:
        `add` in class `java.util.ArrayList<MergeMenu>`

    - #### add

          public void add(MergeMenu m,
                          int mergePos)

    - #### enableMenus

          public void enableMenus()

    - #### getComponent

          public java.awt.Component getComponent()

      Specified by:
        `getComponent` in interface `IMenuItem`

    - #### getMenuItems

          public java.util.List<MergeMenu> getMenuItems()

      Specified by:
        `getMenuItems` in interface `IMenuItem`

    - #### getMenus

          public java.util.List<MergeMenu> getMenus()

      Specified by:
        `getMenus` in interface `IMenuItem`

    - #### hasSubItems

          public boolean hasSubItems()

      Specified by:
        `hasSubItems` in interface `IMenuItem`

    - #### setSubItemMergePos

          public void setSubItemMergePos(int pos)

    - #### unsetSubItemMergePos

          public void unsetSubItemMergePos()